Skip to main content
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
quotes
/
{quoteId}
Get Quote
curl --request GET \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/{quoteId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/{quoteId}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/{quoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440001",
  "companyId": "550e8400-e29b-41d4-a716-446655440000",
  "submissionId": "550e8400-e29b-41d4-a716-446655440010",
  "policyId": null,
  "data": {
    "policyStartDate": "2025-01-01",
    "policyEndDate": "2026-01-01",
    "policyType": "new_business",
    "policyTimeZone": "America/New_York",
    "premium": 15000,
    "quoteType": "New Business",
    "quoteStatus": "in_progress",
    "quoteNumber": "Q-2025-001"
  },
  "exposures": [
    {
      "exposureName": "Acme Corp",
      "employeeCount": 150
    }
  ],
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": null,
  "createdBy": "google-oauth2|123456789"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

quoteId
string<uuid>
required

Quote identifier

Response

Quote details

A Field Model V1 quote with custom field data and exposures.

id
string<uuid>
required

Quote identifier

companyId
string<uuid>
required

Company identifier

submissionId
string<uuid>
required

Associated submission ID

data
object
required

Quote-level custom field data. Keys are field referenceIds defined in the company's field configuration. Includes lifecycle fields (quoteType, quoteStatus, quoteNumber, quoteBindErrors, quoteSubmissionId) which are read-only and system-managed.

exposures
object[]
required

Array of exposure objects, each containing custom field data with field referenceIds as keys.

createdAt
string<date-time>
required

When the quote was created

policyId
string<uuid> | null

Associated policy ID (null until quote is bound)

updatedAt
string<date-time> | null

When the quote was last updated

createdBy
string | null

User ID who created the quote